# @s-ui/documentation-library
> gh: [git@github.com:SUI-Components/docs-components](git@github.com:SUI-Components/docs-components)

> homepage: [https://github.com/SUI-Components/docs-components/](https://github.com/SUI-Components/docs-components/)


## Install
`npm install @s-ui/documentation-library`

## Components
> #### [**Anchor**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Anchor/Anchor.md)
> HTML `a` element DOC styled

> #### [**Article**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Article/Article.md)
> HTML `article` element DOC styled

> #### [**Avatar**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Avatar/Avatar.md)
> Component used to represent people or objects DOC styled

> #### [**Box**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Box/Box.md)
> A Box can be used to display content related to a single subject DOC styled

> #### [**Button**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Button/Button.md)
> HTML `button` element DOC styled. Triggers an operation on click.

> #### [**ButtonGroup**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Button/ButtonGroup.md)
> HTML wrapper to group multiple `button` HTML elements DOC styled.

> #### [**Code**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Code/Code.md)
> HTML `code` element DOC styled

> #### [**BackgroundColorConsumer**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/BackgroundColorConsumer/BackgroundColorConsumer.md)
> Pantone card of the background element color

> #### [**Pantone**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Pantone/Pantone.md)
> Pantone card of the background element color

> #### [**Grid**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Grid/Grid.md)
> div element css-grid styled in order to allocate elements

> #### [**Cell**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Grid/Cell.md)
> div element css-grid styled in order to allocate elements in the grid disposed.

> #### [**Heading**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Heading/Heading.md)
> Create HTML tag titles.

> #### [**H1**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Heading/H1.md)
> HTML `h1` element DOC styled

> #### [**H2**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Heading/H2.md)
> HTML `h1` element DOC styled

> #### [**H3**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Heading/H3.md)
> HTML `h3` element DOC styled

> #### [**H4**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Heading/H4.md)
> HTML `h4` element DOC styled

> #### [**AntDesignIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/AntDesignIcon/AntDesignIcon.md)
> Ant-Design icon DOC styled

> #### [**BootstrapIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/BootstrapIcon/BootstrapIcon.md)
> Bootstrap icon DOC styled

> #### [**BoxIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/BoxIcon/BoxIcon.md)
> Box icon DOC styled

> #### [**DevIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/DevIcon/DevIcon.md)
> DevIcon DOC styled

> #### [**FeatherIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/FeatherIcon/FeatherIcon.md)
> Feather Icon DOC styled

> #### [**FlatColorIcon**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/FlatColorIcon/FlatColorIcon.md)
> Flat Color Icon DOC styled

> #### [**Input**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Input/Input.md)
> HTML `input` element DOC styled

> #### [**Label**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Label/Label.md)
> The HTML `label` element represents a caption for an item in a user interface.

> #### [**UnorderedList**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/List/UnorderedList.md)
> The HTML `ol` element represents an ordered list of items — typically rendered as a numbered list.

> #### [**OrderedList**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/List/OrderedList.md)
> The HTML `ul` element represents an unordered list of items, typically rendered as a bulleted list.

> #### [**ListItem**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/List/ListItem.md)
> The HTML `li` element is used to represent an item in a list.

> #### [**Paragraph**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Paragraph/Paragraph.md)
> The HTML `p` element represents a paragraph.

> #### [**Quote**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Quote/Quote.md)
> The HTML `q` element indicates that the enclosed text is a short inline quotation. Most modern browsers implement this by surrounding the text in quotation marks.

> #### [**Radio**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Radio/Radio.md)
> The `&lt;input type=&quot;radio&quot;&gt;` defines a radio button.
RadioButton buttons are normally presented in radio groups (a collection of radio buttons describing a set of related options). Only one radio button in a group can be selected at the same time.

> #### [**RadioGroup**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Radio/RadioGroup.md)
> Radio options element wrapper

> #### [**RadioButton**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/RadioButton/RadioButton.md)
> The `&lt;input type=&quot;radio&quot;&gt;` defines a radio button styled like a button.
RadioButton buttons are normally presented in radio groups (a collection of radio buttons describing a set of related options). Only one radio button in a group can be selected at the same time.

> #### [**RadioButtonGroup**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/RadioButton/RadioButtonGroup.md)
> Radio button options element wrapper

> #### [**Separator**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Separator/Separator.md)
> The HTML `hr` element represents a thematic break between paragraph-level elements: for example, a change of scene in a story, or a shift of topic within a section.

> #### [**Text**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Text.md)
> Simple plain text styled

> #### [**Bold**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Bold.md)
> The HTML Bring Attention To element (`b`) is used to draw the reader&#39;s attention to the element&#39;s contents, which are not otherwise granted special importance.

> #### [**Strong**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Strong.md)
> The HTML Strong Importance Element (`strong`) indicates that its contents have strong importance, seriousness, or urgency. Browsers typically render the contents in bold type.

> #### [**Idiomatic**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Idiomatic.md)
> The HTML Idiomatic Text element (`i`) represents a range of text that is set off from the normal text for some reason, such as idiomatic text, technical terms, taxonomical designations, among others.

> #### [**Emphasis**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Emphasis.md)
> The HTML `em` element marks text that has stress emphasis. The &lt;em&gt; element can be nested, with each level of nesting indicating a greater degree of emphasis.

> #### [**Mark**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Mark.md)
> The HTML Mark Text element (`mark`) represents text which is marked or highlighted for reference or notation purposes, due to the marked passage&#39;s relevance or importance in the enclosing context.

> #### [**Small**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Small.md)
> The HTML `small element represents side-comments and small print, like copyright and legal text, independent of its styled presentation. By default, it renders text within it one font-size smaller, such as from small to x-small

> #### [**Deleted**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Deleted.md)
> The HTML `del` element represents a range of text that has been deleted from a document.

> #### [**Inserted**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Inserted.md)
> The HTML `ins` element represents a range of text that has been added to a document.

> #### [**Subscript**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Subscript.md)
> The HTML Subscript element (`sub`) specifies inline text which should be displayed as subscript for solely typographical reasons.

> #### [**Superscript**](https://github.com/SUI-Components/docs-components/blob/master/components/documentation/library/src/components/Text/Superscript.md)
> The HTML Superscript element (`sup`) specifies inline text which is to be displayed as superscript for solely typographical reasons.




