"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Anchor = exports["default"] = exports.isExternalURL = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Base = _interopRequireDefault(require("../Base.core"));

require("./Anchor.scss");

var _jsxRuntime = require("react/jsx-runtime");

/* global location */

/* eslint react/prop-types: 0 */
var isExternalURL = function isExternalURL(url) {
  var match = url.match(/^([^:/?#]+:)?(?:\/\/([^/?#]*))?([^?#]+)?(\?[^#]*)?(#.*)?/);
  if (typeof match[1] === 'string' && match[1].length > 0 && match[1].toLowerCase() !== location.protocol) return true;
  if (typeof match[2] === 'string' && match[2].length > 0 && match[2].replace(new RegExp(':(' + {
    'http:': 80,
    'https:': 443
  }[location.protocol] + ')?$'), '') !== location.host) return true;
  return false;
};
/**
 * HTML `a` element DOC styled
 */


exports.isExternalURL = isExternalURL;
var Anchor = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var children = _ref.children,
      className = _ref.className,
      _ref$href = _ref.href,
      href = _ref$href === void 0 ? '#' : _ref$href,
      target = _ref.target,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children", "className", "href", "target"]);
  var isExternalLink = isExternalURL(href);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Base["default"], (0, _extends2["default"])({
    ref: forwardedRef,
    elementType: "a",
    className: (0, _classnames["default"])('sui-studio-doc-anchor', className)
  }, props, {
    target: target || (isExternalLink ? '_blank' : undefined),
    href: href,
    children: children
  }));
});
exports.Anchor = Anchor;
Anchor.displayName = 'Anchor';
Anchor.defaultProps = {};
var _default = Anchor;
exports["default"] = _default;