"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Avatar = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Base = _interopRequireDefault(require("../Base.core"));

require("./Avatar.scss");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */
var SHAPES = {
  CIRCLE: 'circled',
  SQUARE: 'squared',
  ROUNDED: 'rounded'
};
var SIZES = {
  XS: 'xs',
  SM: 'sm',
  MD: 'md',
  LG: 'lg',
  XL: 'xl'
};
/**
 * Component used to represent people or objects DOC styled
 */

var Avatar = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var _cx;

  var className = _ref.className,
      size = _ref.size,
      _ref$shape = _ref.shape,
      shape = _ref$shape === void 0 ? SHAPES.CIRCLE : _ref$shape,
      _ref$elementType = _ref.elementType,
      elementType = _ref$elementType === void 0 ? 'img' : _ref$elementType,
      _ref$grayScale = _ref.grayScale,
      grayScale = _ref$grayScale === void 0 ? undefined : _ref$grayScale,
      _ref$sepia = _ref.sepia,
      sepia = _ref$sepia === void 0 ? undefined : _ref$sepia,
      _ref$saturate = _ref.saturate,
      saturate = _ref$saturate === void 0 ? undefined : _ref$saturate,
      _ref$hueRotate = _ref.hueRotate,
      hueRotate = _ref$hueRotate === void 0 ? undefined : _ref$hueRotate,
      _ref$invert = _ref.invert,
      invert = _ref$invert === void 0 ? undefined : _ref$invert,
      _ref$opacity = _ref.opacity,
      opacity = _ref$opacity === void 0 ? undefined : _ref$opacity,
      _ref$brightness = _ref.brightness,
      brightness = _ref$brightness === void 0 ? undefined : _ref$brightness,
      _ref$contrast = _ref.contrast,
      contrast = _ref$contrast === void 0 ? undefined : _ref$contrast,
      _ref$blur = _ref.blur,
      blur = _ref$blur === void 0 ? undefined : _ref$blur,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["className", "size", "shape", "elementType", "grayScale", "sepia", "saturate", "hueRotate", "invert", "opacity", "brightness", "contrast", "blur"]);
  var filter = Object.entries((0, _extends2["default"])({}, grayScale !== undefined && {
    grayscale: "" + grayScale
  }, sepia !== undefined && {
    sepia: "" + sepia
  }, saturate !== undefined && {
    saturate: "" + saturate
  }, hueRotate !== undefined && {
    'hue-rotate': hueRotate + "deg"
  }, invert !== undefined && {
    invert: "" + invert
  }, opacity !== undefined && {
    opacity: "" + opacity
  }, brightness !== undefined && {
    brightness: "" + brightness
  }, contrast !== undefined && {
    contrast: "" + contrast
  }, blur !== undefined && {
    blur: blur + "px"
  })).map(function (_ref2) {
    var key = _ref2[0],
        value = _ref2[1];
    return key + "(" + value + ")";
  }).join(' ');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Base["default"], (0, _extends2["default"])({}, props, {
    style: (0, _extends2["default"])({}, filter && {
      filter: filter
    }, props.style),
    elementType: elementType,
    className: (0, _classnames["default"])('sui-studio-doc-avatar', (_cx = {}, _cx["sui-studio-doc-avatar-shape-" + shape] = shape, _cx["sui-studio-doc-avatar-size-" + size] = size, _cx), className),
    ref: forwardedRef
  }));
});
exports.Avatar = Avatar;
Avatar.defaultProps = {};
Avatar.displayName = 'Avatar';
Avatar.SHAPES = SHAPES;
Avatar.SIZES = SIZES;
var _default = Avatar;
exports["default"] = _default;