"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Box = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Base = require("../Base.core");

require("./Box.scss");

/* eslint react/prop-types: 0 */

/**
 * A Box can be used to display content related to a single subject DOC styled
 */
var Box = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var _cx;

  var children = _ref.children,
      className = _ref.className,
      elementType = _ref.elementType,
      fullScreen = _ref.fullScreen,
      outline = _ref.outline,
      mode = _ref.mode,
      color = _ref.color,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children", "className", "elementType", "fullScreen", "outline", "mode", "color"]);
  var styleColorProps = {};

  if (color) {
    styleColorProps.borderColor = color;

    if (!outline) {
      styleColorProps.background = color;
    }
  }

  return /*#__PURE__*/(0, _react.createElement)(elementType, (0, _extends2["default"])({}, props, {
    className: (0, _classnames["default"])('sui-studio-doc-box', (_cx = {}, _cx["sui-studio-doc-box-mode-" + mode] = mode, _cx['sui-studio-doc-box-full-screen'] = fullScreen, _cx['sui-studio-doc-box-outline'] = outline, _cx), className),
    style: (0, _extends2["default"])({}, props.style, styleColorProps),
    ref: forwardedRef
  }), children);
});
exports.Box = Box;
exports.Box = Box = (0, _Base.withDocumentationProvider)(Box);
Box.displayName = 'Box';
Box.propTypes = {
  outline: _propTypes["default"].bool,
  elementType: _propTypes["default"].string
};
Box.defaultProps = {
  elementType: 'div'
};
var _default = Box;
exports["default"] = _default;