"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Trial = exports.Mode = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("./Box"));

var _Heading = require("../Heading/Heading");

var _Text = _interopRequireDefault(require("../Text/Text"));

var _Paragraph = _interopRequireDefault(require("../Paragraph/Paragraph"));

var _Grid = _interopRequireWildcard(require("../Grid/Grid"));

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */
var _default = {
  title: 'Components/Box/Box',
  component: _Box["default"],
  argTypes: {
    mode: {
      control: {
        type: 'select',
        options: {
          undefined: undefined,
          light: 'light',
          dark: 'dark'
        }
      }
    }
  }
};
exports["default"] = _default;

var Template = function Template(_ref) {
  var children = _ref.children,
      args = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], (0, _extends2["default"])({}, args, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Paragraph["default"], {
      children: children
    })
  }));
};

var Mode = Template.bind({});
exports.Mode = Mode;
Mode.args = {
  children: 'box',
  mode: 'dark',
  outline: false
};

var Trial = function Trial() {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Grid["default"], {
      cols: 2,
      gutter: [5, 10],
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Heading.H1, {
            children: "Heading one"
          })
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
          mode: "dark",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Heading.H1, {
            children: "Heading one"
          })
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
          color: "lightgrey",
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Grid["default"], {
            cols: 2,
            gutter: [10, 10],
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                mode: "dark",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                outline: true,
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                outline: true,
                mode: "dark",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            })]
          })
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
          mode: "dark",
          color: "lightgrey",
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Grid["default"], {
            cols: 2,
            gutter: [10, 10],
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                mode: "light",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                outline: true,
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
              children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box["default"], {
                outline: true,
                mode: "light",
                children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text["default"], {
                  children: "Text"
                })
              })
            })]
          })
        })
      })]
    })
  });
};

exports.Trial = Trial;