"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _react = _interopRequireWildcard(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _Code = require("./Code");

var _setupEnvironment = _interopRequireDefault(require("../../helpers/setupEnvironment"));

var _jsxRuntime = require("react/jsx-runtime");

/* global expect */
describe('components', function () {
  describe('Code', function () {
    describe('default', function () {
      var Component = _Code.Code;
      var setup = (0, _setupEnvironment["default"])(Component);
      test('should render without crashing', function () {
        // Given
        var props = {}; // When

        var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props)); // Then

        var div = document.createElement('div');

        _reactDom["default"].render(component, div);

        _reactDom["default"].unmountComponentAtNode(div);
      });
      test('should NOT render null', function () {
        // Given
        var props = {}; // When

        var _setup = setup(props),
            container = _setup.container; // Then


        expect(container.innerHTML).toBeString();
        expect(container.innerHTML).not.toHaveLength(0);
      });
      test('should have propTypes and defaultProps ', function () {
        // Given
        var component = Component; // When
        // Then

        expect(component.hasOwnProperty('propTypes')).toBeTruthy();
        expect(component.hasOwnProperty('defaultProps')).toBeTruthy();
      });
      test('should have proper displayName attribute', function () {
        // Given
        // const props = {}
        // When
        var component = Component; // Then

        expect(component.displayName).toBeString();
        expect(component.displayName).not.toHaveLength(0);
        expect(component.displayName).toMatchSnapshot();
      });
      describe('forwardRef', function () {
        test('should have reference', function () {
          // Given
          var props = {};
          var ref = /*#__PURE__*/(0, _react.createRef)(); // When

          var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props, {
            ref: ref
          }));
          var div = document.createElement('div');

          _reactDom["default"].render(component, div); // Then


          expect(ref.current).not.toBe(undefined);
          expect(ref.current.nodeName).toBe('CODE');
        });
        test('should have defined elementType reference', function () {
          // Given
          var props = {
            elementType: 'span'
          };
          var ref = /*#__PURE__*/(0, _react.createRef)(); // When

          var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props, {
            ref: ref
          }));
          var div = document.createElement('div');

          _reactDom["default"].render(component, div); // Then


          expect(ref.current).not.toBe(undefined);
          expect(ref.current.nodeName).toBe('SPAN');
        });
      });
    });
  });
});