"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ColorContextConsumer = exports.ColorContextProvider = exports.ColorContext = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _reactExtraPropTypes = _interopRequireDefault(require("react-extra-prop-types"));

var _color = _interopRequireDefault(require("color"));

var _useControlledState2 = _interopRequireDefault(require("../../hooks/useControlledState/useControlledState"));

var _cloneElementReferenced = _interopRequireDefault(require("../../helpers/cloneElementReferenced"));

var _Children = _interopRequireDefault(require("../Children.core"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _jsxRuntime = require("react/jsx-runtime");

var ColorContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.ColorContext = ColorContext;

var ColorContextProvider = function ColorContextProvider(_ref) {
  var defaultColor = _ref.defaultColor,
      color = _ref.color,
      children = _ref.children;

  var _useControlledState = (0, _useControlledState2["default"])(color ? (0, _color["default"])(color) : undefined, defaultColor ? (0, _color["default"])(defaultColor) : undefined),
      stateColor = _useControlledState[0],
      setStateColor = _useControlledState[1];

  var setColor = function setColor(color) {
    return setStateColor((0, _color["default"])(color));
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(ColorContext.Provider, {
    value: {
      color: stateColor,
      setColor: setColor
    },
    children: children
  });
};

exports.ColorContextProvider = ColorContextProvider;
ColorContextProvider.defaultProps = {
  defaultColor: 'transparent'
};
ColorContextProvider.displayName = 'ColorContextProvider';

var ColorContextConsumer = function ColorContextConsumer(_ref2) {
  var children = _ref2.children,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref2, ["children"]);
  var colorContext = (0, _react.useContext)(ColorContext);
  return (0, _cloneElementReferenced["default"])( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Children["default"], (0, _extends2["default"])({}, props, colorContext, {
    children: children
  })));
};

exports.ColorContextConsumer = ColorContextConsumer;
ColorContextConsumer.defaultProps = {};
ColorContextConsumer.displayName = 'ColorContextConsumer';
var _default = ColorContext;
exports["default"] = _default;