"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _ColorContext = require("./ColorContext.core");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */
var _default = {
  title: 'Components/Color/Context',
  component: _ColorContext.ColorContextProvider,
  argTypes: {
    mode: {
      control: {
        type: 'select',
        options: {
          undefined: undefined,
          light: 'light',
          dark: 'dark'
        }
      }
    }
  }
};
exports["default"] = _default;

var ColorViewer = function ColorViewer(_ref) {
  var children = _ref.children,
      color = _ref.color,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children", "color"]);
  var data = {
    alpha: color.alpha(),
    hex: color.hex(),
    hsl: color.hsl().string(),
    rgb: color.rgb().string(),
    luminosity: color.luminosity(),
    isLight: color.isLight().toString(),
    isDark: color.isDark().toString(),
    cmyk: color.cmyk().round().array().toString()
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      style: {
        height: 100,
        backgroundColor: color.rgb().string(),
        opacity: color.alpha()
      },
      children: Object.entries(data).map(function (_ref2, index) {
        var key = _ref2[0],
            value = _ref2[1];
        return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          children: [key, ": ", value]
        }, index);
      })
    })
  });
};

var Template = function Template(_ref3) {
  var children = _ref3.children,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref3, ["children"]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColorContext.ColorContextProvider, (0, _extends2["default"])({}, props, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ColorContext.ColorContextConsumer, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(ColorViewer, {
        children: children
      })
    })
  }));
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  children: 'Code',
  color: 'hsla(180,50%,70%,0.9)'
};