"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/asyncToGenerator"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _react = _interopRequireWildcard(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _Pantone = require("./Pantone");

var _setupEnvironment = _interopRequireDefault(require("../../helpers/setupEnvironment"));

var _jsxRuntime = require("react/jsx-runtime");

/* global expect */
describe('components', function () {
  describe('Pantone', function () {
    describe('default', function () {
      var Component = _Pantone.Pantone;
      var setup = (0, _setupEnvironment["default"])(Component);
      test('should render without crashing', function () {
        // Given
        var props = {
          style: {
            backgroundColor: 'red'
          },
          name: null
        }; // When

        var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props, {
          children: function children(_ref) {
            var color = _ref.color;
            return color.hex();
          }
        })); // Then

        var div = document.createElement('div');

        _reactDom["default"].render(component, div);

        _reactDom["default"].unmountComponentAtNode(div);
      });
      test('should NOT render null', /*#__PURE__*/(0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
        var props, label, _setup, container, findByText, getByText, nameLabelElement;

        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                // Given
                props = {
                  color: 'red'
                };
                label = 'Red'; // When

                _setup = setup(props), container = _setup.container, findByText = _setup.findByText, getByText = _setup.getByText; // Then

                expect(container.innerHTML).toBeString();
                expect(container.innerHTML).not.toHaveLength(0); // color name label

                _context.next = 7;
                return findByText(label);

              case 7:
                nameLabelElement = getByText(label);
                expect(nameLabelElement.innerHTML).toBe(label);

              case 9:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      })));
      test('should have propTypes and defaultProps ', function () {
        // Given
        var component = Component; // When
        // Then

        expect(component.hasOwnProperty('propTypes')).toBeTruthy();
        expect(component.hasOwnProperty('defaultProps')).toBeTruthy();
      });
      test('should have proper displayName attribute', function () {
        // Given
        // const props = {color: 'red'}
        // When
        var component = Component; // Then

        expect(component.displayName).toBeString();
        expect(component.displayName).not.toHaveLength(0);
        expect(component.displayName).toMatchSnapshot();
      });
      describe('forwardRef', function () {
        test('should have reference', function () {
          // Given
          var props = {
            color: 'red',
            name: null
          };
          var ref = /*#__PURE__*/(0, _react.createRef)(); // When

          var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props, {
            ref: ref
          }));
          var div = document.createElement('div');

          _reactDom["default"].render(component, div); // Then


          expect(ref.current).not.toBe(undefined);
          expect(ref.current.nodeName).toBe('DIV');
        });
        test('should have defined elementType reference', function () {
          // Given
          var props = {
            elementType: 'span',
            color: 'red',
            name: null
          };
          var ref = /*#__PURE__*/(0, _react.createRef)(); // When

          var component = /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, (0, _extends2["default"])({}, props, {
            ref: ref
          }));
          var div = document.createElement('div');

          _reactDom["default"].render(component, div); // Then


          expect(ref.current).not.toBe(undefined);
          expect(ref.current.nodeName).toBe('SPAN');
        });
      });
    });
  });
});