"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tokenized = exports.NullNamed = exports.Named = exports.Modes = exports.Alignement = exports.Default = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _react = _interopRequireDefault(require("react"));

var _Pantone = require("./Pantone");

var _Paragraph = _interopRequireDefault(require("../Paragraph/Paragraph"));

var _Grid = require("../Grid/Grid");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */
var _default = {
  title: 'Components/Color/Pantone',
  component: _Pantone.Pantone,
  argTypes: {
    mode: {
      control: {
        type: 'select',
        options: {
          undefined: undefined,
          light: 'light',
          dark: 'dark'
        }
      }
    }
  }
};
exports["default"] = _default;

var Template = function Template(_ref) {
  var props = (0, _extends2["default"])({}, _ref);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    style: {
      fontSize: '6em'
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props))
  });
};

var Default = Template.bind({});
exports.Default = Default;
Default.args = {
  color: 'hsla(180,50%,70%,0.9)'
};

var Alignement = function Alignement(_ref2) {
  var props = (0, _extends2["default"])({}, _ref2);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    style: {
      fontSize: '6em'
    },
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Paragraph["default"], {
      elementType: "span",
      children: "lorem ipsum dolor sit emmet"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props)), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Paragraph["default"], {
      elementType: "span",
      children: "lorem ipsum dolor sit emmet"
    })]
  });
};

exports.Alignement = Alignement;
Alignement.args = {
  color: 'hsla(180,50%,70%,0.9)'
};

var Modes = function Modes(_ref3) {
  var props = (0, _extends2["default"])({}, _ref3);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Grid.Grid, {
    style: {
      height: 300,
      fontSize: '6em'
    },
    cols: 2,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props, {
        color: "hsla(180,50%,70%,0.9)",
        fullWidth: true,
        fullHeight: true
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props, {
        color: "hsla(0,50%,70%,0.9)",
        fullWidth: true,
        fullHeight: true
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props, {
        color: "hsla(180,50%,30%,0.9)",
        fullWidth: true,
        fullHeight: true
      }))
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Grid.Cell, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Pantone.Pantone, (0, _extends2["default"])({}, props, {
        color: "hsla(0,50%,30%,0.9)",
        fullWidth: true,
        fullHeight: true
      }))
    })]
  });
};

exports.Modes = Modes;
Modes.args = {};
var Named = Template.bind({});
exports.Named = Named;
Named.args = {
  color: 'hsla(180,50%,70%,0.9)',
  name: 'name'
};
var NullNamed = Template.bind({});
exports.NullNamed = NullNamed;
NullNamed.args = {
  color: 'hsla(180,50%,70%,0.9)',
  name: null
};
var Tokenized = Template.bind({});
exports.Tokenized = Tokenized;
Tokenized.args = {
  color: 'hsla(180,50%,70%,0.9)',
  tokenName: '$token large large token wtf again and again token large'
};