"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isomorphicFetch = _interopRequireDefault(require("isomorphic-fetch"));

var _usePromise = _interopRequireDefault(require("../../hooks/usePromise/usePromise"));

var useColorAPINameHook = function useColorAPINameHook(_ref, callback) {
  var HEXColor = _ref.HEXColor,
      name = _ref.name;

  if (callback === void 0) {
    callback = function callback() {
      return null;
    };
  }

  return (0, _usePromise["default"])(function () {
    return new Promise(function (resolve) {
      if (HEXColor !== undefined && name !== null) {
        (0, _isomorphicFetch["default"])("https://www.thecolorapi.com/id?hex=" + HEXColor).then(function (response) {
          return response.json();
        }).then(function (data) {
          var value = data.name;
          callback(value);
          resolve(value);
        });
      } else {
        resolve({});
      }
    });
  }, [HEXColor, name]);
};

var _default = useColorAPINameHook;
exports["default"] = _default;