"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Grid = exports.Cell = exports["default"] = exports.ALIGN = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Base = require("../Base.core");

require("./Grid.scss");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */
var range = function range(length, start) {
  if (start === void 0) {
    start = 0;
  }

  return Array.from({
    length: length
  }, function (_, i) {
    return start + i;
  });
};

var isNumeric = function isNumeric(num) {
  return !isNaN(num);
};

var ALIGN = {
  LEFT: 'left',
  RIGHT: 'right',
  CENTER: 'center'
};
/**
 * div element css-grid styled in order to allocate elements
 */

exports.ALIGN = ALIGN;
var Grid = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var _cx;

  var children = _ref.children,
      className = _ref.className,
      _ref$gutter = _ref.gutter,
      gutter = _ref$gutter === void 0 ? 0 : _ref$gutter,
      _ref$cols = _ref.cols,
      cols = _ref$cols === void 0 ? 1 : _ref$cols,
      style = _ref.style,
      mode = _ref.mode,
      _ref$elementType = _ref.elementType,
      elementType = _ref$elementType === void 0 ? 'div' : _ref$elementType,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children", "className", "gutter", "cols", "style", "mode", "elementType"]);
  var element = {
    type: elementType
  };

  var _$split = ("" + gutter).split(','),
      gridRowGap = _$split[0],
      gridColumnGap = _$split[1];

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(element.type, (0, _extends2["default"])({}, props, {
    style: (0, _extends2["default"])({
      gridRowGap: isNumeric(gridRowGap) ? gridRowGap + "px" : gridRowGap,
      gridColumnGap: isNumeric(gridColumnGap) ? gridColumnGap + "px" : gridColumnGap,
      gridTemplateColumns: "repeat(" + cols + ", 1fr)"
    }, style),
    className: (0, _classnames["default"])('sui-studio-doc-grid', (_cx = {}, _cx["sui-studio-doc-grid-mode-" + mode] = mode, _cx), className),
    ref: forwardedRef,
    children: children
  }));
});
exports.Grid = Grid;
exports.Grid = Grid = (0, _Base.withDocumentationProvider)(Grid);
Grid.displayName = 'Grid';
Grid.defaultProps = {};
/**
 * div element css-grid styled in order to allocate elements in the grid disposed.
 */

var Cell = /*#__PURE__*/(0, _react.forwardRef)(function (_ref2, forwardedRef) {
  var _cx2;

  var children = _ref2.children,
      className = _ref2.className,
      mode = _ref2.mode,
      _ref2$offset = _ref2.offset,
      offset = _ref2$offset === void 0 ? 0 : _ref2$offset,
      _ref2$span = _ref2.span,
      span = _ref2$span === void 0 ? 1 : _ref2$span,
      style = _ref2.style,
      align = _ref2.align,
      _ref2$elementType = _ref2.elementType,
      elementType = _ref2$elementType === void 0 ? 'div' : _ref2$elementType,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref2, ["children", "className", "mode", "offset", "span", "style", "align", "elementType"]);
  var element = {
    type: elementType
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [range(offset).map(function (index) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(element.type, {
        className: (0, _classnames["default"])('sui-studio-doc-grid-cell', 'sui-studio-doc-grid-cell-offset', className),
        style: {
          gridColumn: 'auto / span 1'
        }
      }, index);
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(element.type, (0, _extends2["default"])({}, props, {
      style: (0, _extends2["default"])({
        gridColumn: "auto / span " + span
      }, style),
      className: (0, _classnames["default"])('sui-studio-doc-grid-cell', (_cx2 = {}, _cx2["sui-studio-doc-grid-cell-mode-" + mode] = mode, _cx2["sui-studio-doc-grid-cell-ta-" + align] = align, _cx2), className),
      ref: forwardedRef,
      children: children
    }))]
  });
});
exports.Cell = Cell;
exports.Cell = Cell = (0, _Base.withDocumentationProvider)(Cell);
Cell.displayName = 'Cell';
Cell.defaultProps = {};
var _default = Grid;
exports["default"] = _default;