"use strict";

var _interopRequireWildcard3 = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FeatherIcon = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _interopRequireWildcard2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/interopRequireWildcard"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard3(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactExtraPropTypes = _interopRequireDefault(require("react-extra-prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactIcons = require("react-icons");

var _Base = _interopRequireDefault(require("../Base.core"));

require("./FeatherIcon.scss");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */

/**
 * Feather Icon DOC styled
 */
var FeatherIcon = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var className = _ref.className,
      icon = _ref.icon,
      color = _ref.color,
      children = _ref.children,
      _ref$elementType = _ref.elementType,
      elementType = _ref$elementType === void 0 ? 'span' : _ref$elementType,
      _ref$fullWidth = _ref.fullWidth,
      fullWidth = _ref$fullWidth === void 0 ? true : _ref$fullWidth,
      title = _ref.title,
      size = _ref.size,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["className", "icon", "color", "children", "elementType", "fullWidth", "title", "size"]);

  var _useState = (0, _react.useState)(function () {
    return function () {
      return null;
    };
  }),
      IconElement = _useState[0],
      setIconElement = _useState[1];

  (0, _react.useEffect)(function () {
    if (icon) {
      Promise.resolve().then(function () {
        return (0, _interopRequireWildcard2["default"])(require('react-icons/fi'));
      }).then(function (module) {
        return module[icon];
      }).then(function (Element) {
        setIconElement(function () {
          return Element || IconElement;
        });
      });
    }
  }, [icon, IconElement]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Base["default"], (0, _extends2["default"])({}, props, {
    elementType: elementType,
    className: (0, _classnames["default"])('sui-studio-doc-icon sui-studio-doc-icon-feather', className),
    fullWidth: fullWidth,
    ref: forwardedRef,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactIcons.IconContext.Provider, {
      value: {
        color: color,
        style: {
          verticalAlign: 'middle',
          textAlign: 'center'
        }
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(IconElement, {
        size: size,
        title: title
      })
    })
  }));
});
exports.FeatherIcon = FeatherIcon;
FeatherIcon.displayName = 'FeatherIcon';
FeatherIcon.defaultProps = {};
var _default = FeatherIcon;
exports["default"] = _default;