"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Separator = exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Mode = _interopRequireDefault(require("../../context/Mode"));

var _Base = _interopRequireWildcard(require("../Base.core"));

require("./Separator.scss");

var _jsxRuntime = require("react/jsx-runtime");

/* eslint react/prop-types: 0 */

/**
 * The HTML `hr` element represents a thematic break between paragraph-level elements: for example, a change of scene in a story, or a shift of topic within a section.
 */
var Separator = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var _cx;

  var children = _ref.children,
      className = _ref.className,
      elementType = _ref.elementType,
      mode = _ref.mode,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, ["children", "className", "elementType", "mode"]);
  var contextProps = (0, _react.useContext)(_Mode["default"]) || {};
  var ownMode = mode || contextProps.mode;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: (0, _classnames["default"])('sui-studio-doc-separator', (_cx = {}, _cx["sui-studio-doc-separator-mode-" + ownMode] = ownMode, _cx), className),
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("hr", {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Base["default"], (0, _extends2["default"])({}, props, {
      className: (0, _classnames["default"])('sui-studio-doc-separator-content', className),
      elementType: elementType
    }, (0, _extends2["default"])({}, contextProps, {
      mode: ownMode === _Base.MODES.LIGHT ? _Base.MODES.DARK : _Base.MODES.LIGHT
    }), {
      ref: forwardedRef,
      children: children
    }))]
  });
});
exports.Separator = Separator;
Separator.displayName = 'Separator';
Separator.defaultProps = {
  elementType: 'span'
};
var _default = Separator;
exports["default"] = _default;