"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _useMutationObserver = _interopRequireDefault(require("../useMutationObserver/useMutationObserver"));

var useComputedStyle = function useComputedStyle(ref, styleName, callback) {
  if (callback === void 0) {
    callback = function callback() {
      return null;
    };
  }

  var _useState = (0, _react.useState)(),
      setRef = _useState[1];

  var _useState2 = (0, _react.useState)(),
      setValue = _useState2[1];

  var update = (0, _react.useCallback)(function (ref) {
    var computedValue = getComputedStyle(ref.current).getPropertyValue(styleName);
    setValue(computedValue);
    callback(computedValue);
  }, [setValue, styleName, callback]);
  (0, _useMutationObserver["default"])(ref, function (mutations) {
    mutations.forEach(function (mutation) {
      if (mutation.attributeName === 'style') {
        update(ref);
      }
    });
  }, {
    attributes: true,
    attributeFilter: ['style']
  });
  (0, _react.useEffect)(function () {
    setRef(ref);
    update(ref);
  }, [setRef, setValue, ref]);
};

var _default = useComputedStyle;
exports["default"] = _default;