"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

/**
 * React hook for combine the state of a value prop and its default value
 **/
var useControlledState = function useControlledState(controlledValue, defaultValue) {
  var isFirst = (0, _react.useRef)(true);

  var _useState = (0, _react.useState)(controlledValue === undefined ? defaultValue : controlledValue),
      initialValue = _useState[0];

  var _useState2 = (0, _react.useState)(initialValue),
      value = _useState2[0],
      setValue = _useState2[1];

  (0, _react.useEffect)(function () {
    if (isFirst.current) {
      isFirst.current = false;
    } else {
      setValue(controlledValue);
    }
  }, [controlledValue, setValue, isFirst]);
  var updater = (0, _react.useCallback)(function (value, forceFlag) {
    if (controlledValue === undefined || forceFlag) {
      setValue(value);
    }
  }, [controlledValue, setValue]);
  return [value, updater, controlledValue !== undefined, initialValue];
};

var _default = useControlledState;
exports["default"] = _default;